classification
Title: Update plistlib documentation
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: bigfootjon, docs@python, ned.deily, ronaldoussoren, shihai1991
Priority: normal Keywords:

Created on 2019-09-07 19:08 by bigfootjon, last changed 2019-09-09 14:14 by ronaldoussoren. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 15727 merged bigfootjon, 2019-09-07 19:08
Messages (4)
msg351309 - (view) Author: Jon Janzen (bigfootjon) * Date: 2019-09-07 19:08
* Update "Mac OS X" to "Apple" since plists are used more widely than just macOS
* Remove notes about the new API being added in 3.4 since 3.4 is no longer supported
* Re-add the UID class documentation (oops, removed in issue36409)
msg351319 - (view) Author: hai shi (shihai1991) * Date: 2019-09-08 09:12
>* Remove notes about the new API being added in 3.4 since 3.4 is no longer supported
  Related bpo in issue14455
msg351451 - (view) Author: Jon Janzen (bigfootjon) * Date: 2019-09-09 13:05
>* Remove notes about the new API being added in 3.4 since 3.4 is no longer supported

Per discussion in the PR, this is no longer a goal of this issue
msg351474 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2019-09-09 14:13
New changeset 24b11b8c95e96cf9c93fb7fc253e6e96506f2d77 by Ronald Oussoren (Jon Janzen) in branch 'master':
bpo-38053 Update documentation for plistlib (GH-15727)
https://github.com/python/cpython/commit/24b11b8c95e96cf9c93fb7fc253e6e96506f2d77
History
Date User Action Args
2019-09-09 14:14:24ronaldoussorensetstatus: open -> closed
resolution: fixed
stage: resolved
2019-09-09 14:13:46ronaldoussorensetmessages: + msg351474
2019-09-09 13:05:54bigfootjonsetmessages: + msg351451
2019-09-08 09:12:28shihai1991setnosy: + shihai1991
messages: + msg351319
2019-09-07 19:19:31serhiy.storchakasetnosy: + ronaldoussoren, ned.deily
2019-09-07 19:08:18bigfootjoncreate